// TD.cpp: implementation of the CTD class.
//
//////////////////////////////////////////////////////////////////////

#include "TD.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CTD::CTD()
{

}

CTD::~CTD()
{
    if (m_V)
        delete [] m_V;
}

CTD::CTD(int nStates)
{
    m_nStates = nStates;

    m_V = new float [nStates];
    assert(m_V);

    for (int i = 0; i < nStates; i++)
        m_V[i] = 0.0f;

    m_nSteps = 0;
}
